#include <errno.h>
#include <stdio.h>
#include <sys/ioctl.h>

#include "HPDI32DocSrcLib.h"

int hpdi32_int_status(int fd, hpdi32_interrupt_t* arg, int verbose)
{
	int	status;

	status	= ioctl(fd, HPDI32_IOCTL_INT_STATUS, arg);

	if ((verbose) && (status == -1))
		printf("ioctl() failure, errno = %d\n", errno);

	return(status);
}
