#include <errno.h>
#include <stdio.h>
#include <sys/ioctl.h>

#include "HPDI32DocSrcLib.h"

int hpdi32_io_config(int fd, hpdi32_io_config_t* config, int verbose)
{
	int	status;

	status	= ioctl(fd, HPDI32_IOCTL_IO_CONFIG, config);

	if ((verbose) && (status == -1))
		printf("ioctl() failure, errno = %d\n", errno);

	return(status);
}
