#include <errno.h>
#include <stdio.h>
#include <sys/mman.h>

#include "HPDI32DocSrcLib.h"

void* hpdi32_mmap(int fd, const hpdi32_mmap_mem_t* mem, int verbose)
{
	void*	vp;

	vp	= mmap(	0,
				mem->size,
				PROT_READ | PROT_WRITE,
				MAP_SHARED,
				fd,
				mem->offset);

	if ((verbose) && (vp == MAP_FAILED))
	{
		vp	= NULL;
		printf("mmap() failure, errno = %d\n", errno);
	}

	return(vp);
}
