#include <errno.h>
#include <stdio.h>
#include <sys/ioctl.h>

#include "HPDI32DocSrcLib.h"

int hpdi32_reg_mod(
	int		fd,
	__u32	reg,
	__u32	value,
	__u32	mask,
	int		verbose)
{
	hpdi32_reg_t	parm;
	int				status;

	parm.reg	= reg;
	parm.value	= value;
	parm.mask	= mask;
	status		= ioctl(fd, HPDI32_IOCTL_REG_MOD, &parm);

	if ((verbose) && (status == -1))
		printf("ioctl() failure, errno = %d\n", errno);

	return(status);
}
