#include <errno.h>
#include <stdio.h>
#include <sys/ioctl.h>

#include "HPDI32DocSrcLib.h"

int hpdi32_reg_read(int fd, __u32 reg, __u32* value, int verbose)
{
	hpdi32_reg_t	parm;
	int				status;

	parm.reg	= reg;
	parm.value	= 0xDEADBEEFL;
	parm.mask	= 0;	/* ignored for reads */
	status		= ioctl(fd, HPDI32_IOCTL_REG_READ, &parm);

	if (status >= 0)
		value[0]	= parm.value;
	else if (verbose)
		printf("ioctl() failure, errno = %d\n", errno);

	return(status);
}
