/* This software is covered by the GNU GENERAL PUBLIC LICENSE (GPL). */
/* $Revision: 2 $ */
/* $Date: 9/28/06 5:35p $ */
/* $Log: /NEW SOURCESAFE DATABASE/DIGITAL/Drivers/LINUX/HPDI32/HPDI32_Linux_Ver.1.17.0-GSC-DN/test/main.h $
 *
 * 2     9/28/06 5:35p Dnewbold
 * Updated the version number and comments. Added function prototypes.
 *
 * 1     2/27/06 10:40a Dnewbold
 * Modularized the test code.
 */

#ifndef __MAIN_H__
#define __MAIN_H__



/* #defines	***************************************************************/

#define	VERSION			"1.10"
// 1.10	Updated to support the Data Size and PIO Threshold feature.
//		Modified to perform more detailed testing.
// 1.07	Updated for the changes to the I/O buffer limit increase.
//		Updated to use the sources in the ../utils directory.
//		Modularized and updated the test routines.
/* 1.06	Added OS information to the output. */

#define	ARRAY_ELEMENTS(a)	(sizeof((a))/sizeof((a)[0]))



/* prototypes	**************************************************************/

int		ioctl_test(int fd);
int		int_notify_ioctl_test(int fd);
int		int_notify_callback_test(int fd);
int		int_status_ioctl_test(int fd);
int		io_data_size_tests(int fd);
int		mmap_test(int fd);
int		register_read_test(int fd);
int		register_write_test(int fd);
int 	io_read_write_tests(int fd, const char* name, int mode);
long	io_throughput_test_dma(int fd, int seconds, int mem_map);
long	io_throughput_test_dmdma(int fd, int seconds, int mem_map);
long	io_throughput_test_pio(int fd, int seconds, int mem_map);

int		io_throughput_tests(int		fd,
							int		mode,
							const char*	text,
							long		(*function)(int, int, int));



#endif
