/* $Revision: 1 $ */
/* $Date: 12/19/05 1:58p $ */

#ifndef __UTIL_LABEL_H__
#define __UTIL_LABEL_H__

#include <asm/types.h>



/* prototypes	**************************************************************/

void		label(const char* label);
int			label_fail_func(int errs, int verbose, const char* func);
int			label_fail_text(int errs, int verbose, const char* text);
int			label_fail_value(int errs, int verbose, long value);
const char* label_format_k(__u32 val, __u32 k);
const char* label_format_f(float val, __u32 k);
void		label_init(int width);
void		label_level_dec(void);
void		label_level_inc(void);



#endif
