/* $Revision: 1 $ */
/* $Date: 12/19/05 1:58p $ */

#include <stdio.h>

#include "util_select.h"



/*****************************************************************************
*
*	Function:	select_1_board
*
*	Purpose:
*
*		Select the board to utilize when more than one is present.
*
*	Arguments:
*
*		qty		The number of installed boards.
*
*		index	The board to use. This starts as the default, which
*				we adjust here as appropriate.
*
*	Returned:
*
*		>= 0	The number of errors encountered here.
*
*****************************************************************************/

int select_1_board(int qty, int* index)
{
	char	buf[128];
	int		errs	= 0;

	if (qty < 2)
	{
		index[0]	= 0;
	}
	else if ((index[0] >= 0) && (index[0] < qty))
	{
	}
	else
	{
		printf("Enter a board index from 0 to %d: ", qty - 1);
		fgets(buf, sizeof(buf), stdin);
		sscanf(buf, "%d", index);

		if ((index[0] < 0) || (index[0] >= qty))
		{
			errs	= 1;
			printf("%d is an invalid index.\n", index[0]);
		}
	}

	return(errs);
}



