/* This software is covered by the GNU GENERAL PUBLIC LICENSE (GPL). */
/* $Revision: 1 $ */
/* $Date: 3/29/04 10:16a $ */
/*
*	This header defines the external interface to the User Manual
*	Documentation Sources Library.
*/
/* $Log: /NEW SOURCESAFE DATABASE/DIGITAL/Drivers/LINUX/HPDI32_Linux_Ver.1.08.0-GSC-DN/Linux-2.2 and 2.4 kernels/DocSource/HPDI32DocSrcLib.h $
 *
 * 1     3/29/04 10:16a Dnewbold
*/

#ifndef __HPDI32DOCSRCLIB_H__
#define __HPDI32DOCSRCLIB_H__

#include "hpdi32.h"



/* prototypes	**************************************************************/

int	hpdi32_async_setup(int fd);
int	hpdi32_close(int fd, int verbose);
int	hpdi32_debug_read(int fd, int verbose);
int	hpdi32_driver_info(int fd, hpdi32_driver_info_t* info, int verbose);
int	hpdi32_int_notify(int fd, hpdi32_interrupt_t* arg, int verbose);
int	hpdi32_int_status(int fd, hpdi32_interrupt_t* arg, int verbose);
int	hpdi32_io_config(int fd, hpdi32_io_config_t* config, int verbose);
int	hpdi32_ioctl(int fd, int request, void *arg, int verbose);
void*	hpdi32_mmap(int fd, const hpdi32_mmap_mem_t* mem, int verbose);
int	hpdi32_mmap_info(int fd, hpdi32_mmap_t* mem, int verbose);
int	hpdi32_munmap(void* vp, const hpdi32_mmap_mem_t* mem, int verbose);
int	hpdi32_no_command(int fd, int verbose);
int	hpdi32_open(unsigned int board, int verbose);
int	hpdi32_read(int fd, __u32 *buf, size_t samples, int verbose);
int	hpdi32_reg_mod(int fd, __u32 reg, __u32 value, __u32 mask, int verbose);
int	hpdi32_reg_read(int fd, __u32 reg, __u32* value, int verbose);
int	hpdi32_reg_write(int fd, __u32 reg, __u32 value, int verbose);
int	hpdi32_write(int fd, const __u32 *buf, size_t samples, int verbose);



#endif
