#include <errno.h>
#include <stdio.h>
#include <sys/ioctl.h>

#include "HPDI32DocSrcLib.h"

int hpdi32_driver_info(int fd, hpdi32_driver_info_t* info, int verbose)
{
	int	status;

	status	= ioctl(fd, HPDI32_IOCTL_DRIVER_INFO_GET, info);

	if ((verbose) && (status == -1))
		printf("ioctl() failure, errno = %d\n", errno);

	return(status);
}
