#include <errno.h>
#include <stdio.h>
#include <sys/ioctl.h>

#include "HPDI32DocSrcLib.h"

int hpdi32_mmap_info(int fd, hpdi32_mmap_t* mem, int verbose)
{
	int	status;

	status	= ioctl(fd, HPDI32_IOCTL_MMAP_INFO, mem);

	if ((verbose) && (status == -1))
		printf("ioctl() failure, errno = %d\n", errno);

	return(status);
}
