#include <errno.h>
#include <stdio.h>
#include <sys/mman.h>

#include "HPDI32DocSrcLib.h"

int hpdi32_munmap(void* vp, const hpdi32_mmap_mem_t* mem, int verbose)
{
	int	status;

	status	= munmap(vp, mem->size);

	if ((verbose) && (status == -1))
		printf("munmap() failure, errno = %d\n", errno);

	return(status);
}
