#include <errno.h>
#include <stdio.h>
#include <unistd.h>

#include "HPDI32DocSrcLib.h"

int hpdi32_read(int fd, __u32 *buf, size_t samples, int verbose)
{
	size_t	bytes;
	int 	status;

	bytes	= samples * 4;
	status	= read(fd, buf, bytes);

	if (status >= 0)
		status	/= 4;
	else if (verbose)
		printf("read() failure, errno = %d\n", errno);

	return(status);
}
