#include <errno.h>
#include <stdio.h>
#include <sys/ioctl.h>

#include "HPDI32DocSrcLib.h"

int hpdi32_reg_write(int fd, __u32 reg, __u32 value, int verbose)
{
	hpdi32_reg_t	parm;
	int				status;

	parm.reg	= reg;
	parm.value	= value;
	parm.mask	= 0;	/* ignored for writes */
	status		= ioctl(fd, HPDI32_IOCTL_REG_WRITE, &parm);

	if ((verbose) && (status == -1))
		printf("ioctl() failure, errno = %d\n", errno);

	return(status);
}
