/* $Revision: 2 $ */
/* $Date: 5/30/06 1:11p $ */
/* $Log: /NEW SOURCESAFE DATABASE/DIGITAL/Drivers/LINUX/HPDI32/HPDI32_Linux_Ver.1.15.0-GSC-DN/irq/main.h $
 *
 * 2     5/30/06 1:11p Dnewbold
 * Added ability to test specific interrupts.
 *
 * 1     4/17/06 5:06p Dnewbold
*/

#ifndef __MAIN_H__
#define __MAIN_H__



/* #defines	**************************************************************/

#define	VERSION				"1.01"
// 1.01	Added mask arguments to permit testing of specific interrupts.
// 1.00	Initial release.

#define	ARRAY_ELEMENTS(a)	(sizeof((a))/sizeof((a)[0]))



/* prototypes	**************************************************************/

int	irq_0_test(int fd, int irq, int fc, int gpio);
int	irq_1_test(int fd, int irq, int fc, int gpio);
int	irq_2_test(int fd, int irq, int fc, int gpio);
int	irq_3_test(int fd, int irq, int fc, int gpio);
int	irq_4_test(int fd, int irq, int fc, int gpio);
int	irq_5_test(int fd, int irq, int fc, int gpio);
int	irq_6_test(int fd, int irq, int fc, int gpio);
int	irq_7_test(int fd, int irq, int fc, int gpio);
int	irq_8_test(int fd, int irq);
int	irq_9_test(int fd, int irq);
int	irq_10_test(int fd, int irq);
int	irq_11_test(int fd, int irq);
int	irq_12_test(int fd, int irq);
int	irq_13_test(int fd, int irq);
int	irq_14_test(int fd, int irq);
int	irq_15_test(int fd, int irq);
int	irq_test(int fd, int irq, int fc, int gpio);
int	rx_write(int fd, long samples);



#endif
